<html>
<head>
<title>Ogre::BackgroundProcessResult Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1BackgroundProcessResult.html">BackgroundProcessResult</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BackgroundProcessResult Struct Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BackgroundProcessResult" -->
<p>Encapsulates the result of a background queue request.  
 <a href="structOgre_1_1BackgroundProcessResult.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>&gt;</code></p>

<p><a href="structOgre_1_1BackgroundProcessResult-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BackgroundProcessResult.html#a934afcd6516ef003331f5423ec485f1e">BackgroundProcessResult</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BackgroundProcessResult.html#aebcd24f1d14c77fcb242aa937658c7f2">error</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether an error occurred.  <a href="#aebcd24f1d14c77fcb242aa937658c7f2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1BackgroundProcessResult.html#aa6de3c8fdaefa3b4a3895948fc9c115b">message</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> messages from the process.  <a href="#aa6de3c8fdaefa3b4a3895948fc9c115b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Encapsulates the result of a background queue request. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00050">50</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a934afcd6516ef003331f5423ec485f1e"></a><!-- doxytag: member="Ogre::BackgroundProcessResult::BackgroundProcessResult" ref="a934afcd6516ef003331f5423ec485f1e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1BackgroundProcessResult.html#a934afcd6516ef003331f5423ec485f1e">Ogre::BackgroundProcessResult::BackgroundProcessResult</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00057">57</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aebcd24f1d14c77fcb242aa937658c7f2"></a><!-- doxytag: member="Ogre::BackgroundProcessResult::error" ref="aebcd24f1d14c77fcb242aa937658c7f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1BackgroundProcessResult.html#aebcd24f1d14c77fcb242aa937658c7f2">Ogre::BackgroundProcessResult::error</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Whether an error occurred. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00053">53</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa6de3c8fdaefa3b4a3895948fc9c115b"></a><!-- doxytag: member="Ogre::BackgroundProcessResult::message" ref="aa6de3c8fdaefa3b4a3895948fc9c115b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1BackgroundProcessResult.html#aa6de3c8fdaefa3b4a3895948fc9c115b">Ogre::BackgroundProcessResult::message</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> messages from the process. </p>

<p>Definition at line <a class="el" href="OgreResourceBackgroundQueue_8h_source.html#l00055">55</a> of file <a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceBackgroundQueue_8h_source.html">OgreResourceBackgroundQueue.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
